<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Chapitre 9. Envoi de paquet</title>
    <link rel="stylesheet" type="text/css" href="debian.css"/>
    <meta name="generator" content="DocBook XSL Stylesheets V1.78.1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="home" href="index.fr.html" title="Guide du nouveau responsable Debian"/>
    <link rel="up" href="index.fr.html" title="Guide du nouveau responsable Debian"/>
    <link rel="prev" href="update.fr.html" title="Chapitre 8. Mise à jour de paquet"/>
    <link rel="next" href="advanced.fr.html" title="Annexe A. Empaquetage avancé"/>
  </head>
  <body>
    <div class="navheader">
      <table width="100%" summary="Navigation header">
        <tr>
          <th colspan="3" align="center">Chapitre 9. Envoi de paquet</th>
        </tr>
        <tr>
          <td align="left"><a accesskey="p" href="update.fr.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <th width="60%" align="center"> </th>
          <td align="right"> <a accesskey="n" href="advanced.fr.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
      </table>
      <hr/>
    </div>
    <div class="chapter">
      <div class="titlepage">
        <div>
          <div>
            <h1 class="title"><a id="upload"/>Chapitre 9. Envoi de paquet</h1>
          </div>
        </div>
      </div>
      <div class="toc">
        <p>
          <strong>Table des matières</strong>
        </p>
        <dl class="toc">
          <dt>
            <span class="section">
              <a href="upload.fr.html#upload-debian">9.1. Envoi vers l'archive Debian</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="upload.fr.html#option-sa">9.2. Inclusion de <code class="filename">orig.tar.gz</code> pour l'envoi</a>
            </span>
          </dt>
          <dt>
            <span class="section">
              <a href="upload.fr.html#skipped-uploads">9.3. Versions non envoyées</a>
            </span>
          </dt>
        </dl>
      </div>
      <p>
Maintenant que votre nouveau paquet a été testé en détail, vous voulez le
publier sur une archive publique afin de le partager.
</p>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="upload-debian"/>9.1. Envoi vers l'archive Debian</h2>
            </div>
          </div>
        </div>
        <p>
Une fois devenu un développeur Debian officiel, <a href="#ftn.idp40055968" class="footnote" id="idp40055968"><sup class="footnote">[84]</sup></a> vous pouvez envoyer le paquet sur les archives Debian. <a href="#ftn.idp40057120" class="footnote" id="idp40057120"><sup class="footnote">[85]</sup></a> Vous pouvez le faire vous-même, mais il est plus
facile d'utiliser les outils automatiques existants, comme <span class="citerefentry"><span class="refentrytitle">dupload</span>(1)</span> ou <span class="citerefentry"><span class="refentrytitle">dput</span>(1)</span>. Nous décrirons la façon de faire
avec <span class="command"><strong>dupload</strong></span>. <a href="#ftn.idp40062640" class="footnote" id="idp40062640"><sup class="footnote">[86]</sup></a>
</p>
        <p>
D'abord vous devez écrire le fichier de configuration de
<span class="command"><strong>dupload</strong></span>. Vous pouvez soit éditer le fichier global
<code class="filename">/etc/dupload.conf</code>, soit avoir votre propre fichier
<code class="filename">~/.dupload</code> pour remplacer les quelques détails que vous
voulez changer.
</p>
        <p>
Vous pouvez lire la page de manuel <span class="citerefentry"><span class="refentrytitle">dupload.conf</span>(5)</span> pour comprendre ce que chacune de ces options signifie.
</p>
        <p>
L'option <code class="literal">$default_host</code> détermine la file de
téléchargement qui sera utilisée par
défaut. <code class="literal">anonymous-ftp-master</code> est la principale, mais il
est possible que vous souhaitiez en utiliser une autre. <a href="#ftn.idp40071184" class="footnote" id="idp40071184"><sup class="footnote">[87]</sup></a>
</p>
        <p>
Une fois connecté à Internet, vous pouvez envoyer le paquet :
</p>
        <pre class="screen">
$ dupload gentoo_0.9.12-1_i386.changes
</pre>
        <p>
<span class="command"><strong>dupload</strong></span> vérifie que les sommes SHA1 et SHA256 des
fichiers correspondent à celles du fichier
<code class="filename">.changes</code>. Dans le cas contraire, un avertissement
proposera de le reconstruire comme décrit en <a class="xref" href="build.fr.html#completebuild" title="6.1. Reconstruction complète">Section 6.1, « Reconstruction complète »</a>
pour pouvoir charger le fichier correctement.
</p>
        <p>
Si vous rencontrez un problème d'envoi à <a class="ulink" href="ftp://ftp.upload.debian.org/pub/UploadQueue/">ftp://ftp.upload.debian.org/pub/UploadQueue/</a>, vous
pouvez le résoudre manuellement en envoyant un fichier
<code class="filename">*.commands</code> signé avec GPG à <a class="ulink" href="ftp://ftp.upload.debian.org/pub/UploadQueue/">ftp://ftp.upload.debian.org/pub/UploadQueue/</a> avec <span class="command"><strong>ftp</strong></span>. <a href="#ftn.idp40079040" class="footnote" id="idp40079040"><sup class="footnote">[88]</sup></a> Par exemple en utilisant
<code class="filename">hello.commands</code> :
</p>
        <pre class="screen">
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
Uploader: Machin Bidule &lt;Machin.Bidule@example.org&gt;
Commands: 
 rm hello_1.0-1_i386.deb
 mv hello_1.0-1.dsx hello_1.0-1.dsc
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

[...]
-----END PGP SIGNATURE-----
</pre>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="option-sa"/>9.2. Inclusion de <code class="filename">orig.tar.gz</code> pour l'envoi</h2>
            </div>
          </div>
        </div>
        <p>
Lors du premier envoi d'un paquet vers l'archive, il faut aussi inclure les
sources <code class="filename">orig.tar.gz</code> d'origine. Si le numéro de révision
Debian de ce paquet n'est ni <code class="literal">1</code> ni <code class="literal">0</code>,
vous devez passer l'option <code class="literal">-sa</code> à la commande
<span class="command"><strong>dpkg-buildpackage</strong></span>.
</p>
        <p>
Pour la commande <span class="command"><strong>dpkg-buildpackage</strong></span> :
</p>
        <pre class="screen">
$ dpkg-buildpackage -sa
</pre>
        <p>
Pour la commande <span class="command"><strong>debuild</strong></span> :
</p>
        <pre class="screen">
$ debuild -sa
</pre>
        <p>
Pour la commande <span class="command"><strong>pdebuild</strong></span> :
</p>
        <pre class="screen">
$ pdebuild --debbuildopts -sa
</pre>
        <p>
D'un autre côté, l'option <code class="literal">-sd</code> forcera l'exclusion des
sources <code class="filename">orig.tar.gz</code> originales.
</p>
      </div>
      <div class="section">
        <div class="titlepage">
          <div>
            <div>
              <h2 class="title"><a id="skipped-uploads"/>9.3. Versions non envoyées</h2>
            </div>
          </div>
        </div>
        <p>
Si vous créez plusieurs enregistrements dans
<code class="filename">debian/changelog</code> en omettant des téléversements, vous
devez créer un fichier <code class="filename">*_.changes</code> approprié incluant
toutes les modifications depuis le dernier envoi. Cela peut être fait avec
l'option <code class="literal">-v</code> de <span class="command"><strong>dpkg-buildpackage</strong></span>
suivie de la version, par exemple
<code class="literal"><em class="replaceable"><code>1.2</code></em></code>.
</p>
        <p>
Pour la commande <span class="command"><strong>dpkg-buildpackage</strong></span> :
</p>
        <pre class="screen">
$ dpkg-buildpackage -v<em class="replaceable"><code>1.2</code></em>
</pre>
        <p>
Pour la commande <span class="command"><strong>debuild</strong></span> :
</p>
        <pre class="screen">
$ debuild -v<em class="replaceable"><code>1.2</code></em>
</pre>
        <p>
Pour la commande <span class="command"><strong>pdebuild</strong></span> :
</p>
        <pre class="screen">
$ pdebuild --debbuildopts "-v<em class="replaceable"><code>1.2</code></em>"
</pre>
      </div>
      <div class="footnotes">
        <br/>
        <hr/>
        <div id="ftn.idp40055968" class="footnote">
          <p><a href="#idp40055968" class="para"><sup class="para">[84] </sup></a>
Consultez <a class="xref" href="start.fr.html#socialdynamics" title="1.1. Dynamique sociale de Debian">Section 1.1, « Dynamique sociale de Debian »</a>.
</p>
        </div>
        <div id="ftn.idp40057120" class="footnote">
          <p><a href="#idp40057120" class="para"><sup class="para">[85] </sup></a>
Des archives publiquement accessibles comme <a class="ulink" href="http://mentors.debian.net/">http://mentors.debian.net/</a> qui
fonctionnent à peu près de la même façon que l'archive Debian fournissent un
espace d'envoi accessible publiquement aux non-DD (développeurs
Debian). Vous pouvez configurer vous-même une archive équivalente en
utilisant les outils de <a class="ulink" href="http://wiki.debian.org/HowToSetupADebianRepository">http://wiki.debian.org/HowToSetupADebianRepository</a>. Cette section est donc
utile aussi aux non-DD.
</p>
        </div>
        <div id="ftn.idp40062640" class="footnote">
          <p><a href="#idp40062640" class="para"><sup class="para">[86] </sup></a>
Le paquet <code class="systemitem">dput</code> semble fournir plus
de fonctionnalités, et devient plus populaire que le paquet <code class="systemitem">dupload</code>. Il utilise le fichier
<code class="filename">/etc/dput</code> pour la configuration globale et le fichier
<code class="filename">~/.dput.cf</code> pour la configuration par utilisateur. Il
gère aussi d’origine les services relatifs à Ubuntu.  </p>
        </div>
        <div id="ftn.idp40071184" class="footnote">
          <p><a href="#idp40071184" class="para"><sup class="para">[87] </sup></a>Consultez la <a class="ulink" href="http://www.debian.org/doc/manuals/developers-reference/pkgs.html#upload">référence du Développeur Debian
5.6. « Envois de paquets »</a>.</p>
        </div>
        <div id="ftn.idp40079040" class="footnote">
          <p><a href="#idp40079040" class="para"><sup class="para">[88] </sup></a> Consultez <a class="ulink" href="ftp://ftp.upload.debian.org/pub/UploadQueue/README">ftp://ftp.upload.debian.org/pub/UploadQueue/README</a>. Vous pouvez aussi utiliser la
commande <span class="command"><strong>dcut</strong></span> du paquet <code class="systemitem">dput</code>.  </p>
        </div>
      </div>
    </div>
    <div class="navfooter">
      <hr/>
      <table width="100%" summary="Navigation footer">
        <tr>
          <td align="left"><a accesskey="p" href="update.fr.html"><img src="images/prev.png" alt="Précédent"/></a> </td>
          <td align="center"> </td>
          <td align="right"> <a accesskey="n" href="advanced.fr.html"><img src="images/next.png" alt="Suivant"/></a></td>
        </tr>
        <tr>
          <td align="left" valign="top">Chapitre 8. Mise à jour de paquet </td>
          <td align="center">
            <a accesskey="h" href="index.fr.html">
              <img src="images/home.png" alt="Sommaire"/>
            </a>
          </td>
          <td align="right" valign="top"> Annexe A. Empaquetage avancé</td>
        </tr>
      </table>
    </div>
  </body>
</html>
